﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=8.5
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	Public rp As RuntimePermissions
	Private WifiManager As JavaObject
	Private Callback As JavaObject
	Public HotspotReservation As JavaObject
	
End Sub

Sub Service_Create
	Dim ctxt As JavaObject
	ctxt.InitializeContext
	WifiManager = ctxt.RunMethod("getSystemService", Array("wifi"))
	Callback.InitializeNewInstance(Application.PackageName & ".starter$MyHotspotCallback", Null)
End Sub

Sub Service_Start (StartingIntent As Intent)
	

End Sub


Public Sub StartHotspot
	WifiManager.RunMethod("startLocalOnlyHotspot", Array(Callback, Null))
	Wait For Hotspot_Started (Success As Boolean, Reservation As Object)
	If Success Then
		HotspotReservation = Reservation
	End If
	CallSub(Main, "StateChanged")
End Sub

Public Sub StopHotspot
	If HotspotReservation.IsInitialized Then
		HotspotReservation.RunMethod("close", Null)
		Dim HotspotReservation As JavaObject
	End If
	CallSub(Main, "StateChanged")
End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub

#if Java
import android.net.wifi.*;
public static class MyHotspotCallback extends WifiManager.LocalOnlyHotspotCallback {
@Override
public void onFailed(int reason) { 
		BA.Log("failed: " + reason);
		starter.processBA.raiseEventFromUI(this, "hotspot_started", false, null);
		
	}
	@Override
 public void onStopped() {
 		BA.Log("OnStopped");
 	}
	@Override
 public void onStarted(WifiManager.LocalOnlyHotspotReservation reservation) {
 	BA.Log("onStarted");
 	starter.processBA.raiseEventFromUI(this, "hotspot_started", true, reservation);
 }
}
#End If
